##  for Mageia 9  ##

%define ver 2.5
%define rel 1

%define git 0
%if %{git}
%define git_rev 0
%define realrel %{rel}.%{git_rev}
%else 
%define realrel %{rel}
%endif

# turn off debuginfo package
%define debug_package %{nil}


Name:    geeqie
Summary: Graphics file browser utility
Version: %{ver}
Release: %{realrel}.np9
License: GPLv2+
Group:   Graphics/Viewers
URL:     http://www.geeqie.org/

%if %{git}
Source0: %{name}-%{git_rev}.tar.bz2
%else
#Source0: http://geeqie.org/%%{name}-%%{version}.tar.xz
Source0: https://github.com/BestImageViewer/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
%endif

BuildRequires: meson
BuildRequires: ninja
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: intltool
#BuildRequires: liblirc-devel
BuildRequires: gnome-doc-utils
BuildRequires: glib-gettextize
BuildRequires: doxygen
#
BuildRequires: djvulibre-devel
BuildRequires: ffmpegthumbnailer-devel
BuildRequires: champlain-devel
BuildRequires: champlain-gtk-devel
BuildRequires: heif-devel
BuildRequires: libraw-devel

#mga5655 for the rotation scripts to work
Requires: fbida
Requires: ImageMagick
Requires: exiv2

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.


%prep
%if %{git}
%setup -q -n %{name}-%{git_rev}
%else
%setup -q
%endif
#%%autopatch -p1


%build
%meson --auto-features=auto
%meson_build


%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang %{name}


%files -f %{name}.lang
%{_docdir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/bash-completion/completions/%{name}
%{_iconsdir}/hicolor/scalable/apps/geeqie.svg
%{_metainfodir}/org.geeqie.Geeqie.appdata.xml
%{_mandir}/man1/%{name}*
%{_prefix}/lib/%{name}/*


%changelog
* Thu Sep 26 2024 tomcat <> 2.5-1.np9
- 2.5
- update %%files

* Sun Mar 24 2024 tomcat <> 2.4-1.np9
- 2.4

* Fri Mar 08 2024 tomcat <> 2.3-1.np9
- 2.3

* Mon Jan 29 2024 tomcat <> 2.2-1.np9
- 2.2
- update %%files

* Sat Aug 19 2023 tomcat <> 2.1-2.np9
- fix releases suffix

* Tue Jun 20 2023 tomcat <> 2.1-1
- 2.1 for Mageia 9
